#ifndef _COMMON_H
#define _COMMON_H

char *join(const char *first, ...);

void setprogname(const char *name);
const char *int_s(int n);
void msg(const char *s);
void dies(const char *s);
void die(const char *s);

void set_signal_handler(int signal, void (*handler)(int));

void restart_sleep(int seconds);

int spawn_child(char **args, int in, int out, int err, int *close_fds);
void kill_child(int pid, int signal);

#endif
